# TdApi.SaveApplicationLogEvent (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SaveApplicationLogEvent

Package it.tdlight.jni

# Class TdApi.SaveApplicationLogEvent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SaveApplicationLogEvent

Enclosing class:
  TdApi

    public static class TdApi.SaveApplicationLogEvent
    extends TdApi.Function

Saves application log event on the server. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Optional chat identifier, associated with the event.
`static int` | `CONSTRUCTOR` |
`TdApi.JsonValue` | `data` | The log event data.
`String` | `type` | Event type.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SaveApplicationLogEvent()` | Saves application log event on the server.
`SaveApplicationLogEvent​(DataInput input)` |
`SaveApplicationLogEvent​(String type, long chatId, TdApi.JsonValue data)` | Saves application log event on the server.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type
Event type.

### chatId

public long chatId
Optional chat identifier, associated with the event.

### data

public TdApi.JsonValue data
The log event data.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SaveApplicationLogEvent

public SaveApplicationLogEvent()
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

### SaveApplicationLogEvent

public SaveApplicationLogEvent​(String type, long chatId, TdApi.JsonValue data)
Saves application log event on the server. Can be called before authorization.

Returns `Ok`

Parameters:
  `type` - String Event type.
  `chatId` - long Optional chat identifier, associated with the event.
  `data` - JsonValue The log event data.

### SaveApplicationLogEvent

public SaveApplicationLogEvent​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`